<template>
    <div>
        <v-row v-for="(row, key) in benefits"
               :key="key"
               justify="space-around"
               class="benefit">
            <v-col v-for="(benefit, index) in row"
                   :key="index"
                   cols="12"
                   sm="6"
                   md="3"
                   lg="3"
                   class="pt-0 pb-0">
                <v-card
                    class="benefit-card pa-10 pa-sm-10 pa-md-0 pa-lg-0"
                    outlined
                    tile>
                    <p class="benefit-name">
                        {{ benefit.title }}
                    </p>
                    <img class="benefit-img"
                         :src="require(`@/assets/icons/${benefit.img}.png`)"
                         :alt="`Instavigator ${benefit.title}`">
                </v-card>
            </v-col>
        </v-row>
    </div>
</template>

<script>
export default {
    name: 'BenefitsBanner',
    data: () => ({
        benefits: {
            firstRow: {
                audience: {
                    title: 'Real Audience',
                    img: 'audience'
                },
                increaseFollowers: {
                    title: 'Increase Followers',
                    img: 'increase_followers'
                },
                setup: {
                    title: 'Easy Setup',
                    img: 'setup'
                },
                support: {
                    title: 'Dedicated Support',
                    img: 'support'
                }
            }
        }
    }),
}
</script>

<style lang="scss" scoped>
    @font-face {
        font-family: Poppins-Bold;
        src: url('../../../assets/fonts/Poppins-Bold.ttf');
    }

    .benefit {
        &-name {
            font-family: Poppins-Bold, Arial, sans-serif;
        }

        &-card {
            border: none !important;
        }

        &-img {
            width: 85%;
            min-height: 120px;
            margin: 0 auto;
            @media(max-width: 560px) {
                width: 80%;
            }
        }
    }
</style>
